IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
ff00:8a00::/24- First address
ff00:8a00::- Last address
ff00:8aff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
ff00:8a00:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
a.8.0.0.f.f.ip6.arpa
Split into smaller subnets
ff00:8a00::/24 makes 4,096 subnets of /36; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00:8a00::/36 | ff00:8a00:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:8a00:1000::/36 | ff00:8a00:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:8a00:2000::/36 | ff00:8a00:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:8a00:3000::/36 | ff00:8a00:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:8a00:4000::/36 | ff00:8a00:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:8a00:5000::/36 | ff00:8a00:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:8a00:6000::/36 | ff00:8a00:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:8a00:7000::/36 | ff00:8a00:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:8a00:8000::/36 | ff00:8a00:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:8a00:9000::/36 | ff00:8a00:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:8a00:a000::/36 | ff00:8a00:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:8a00:b000::/36 | ff00:8a00:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:8a00:c000::/36 | ff00:8a00:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:8a00:d000::/36 | ff00:8a00:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:8a00:e000::/36 | ff00:8a00:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:8a00:f000::/36 | ff00:8a00:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:8a01::/36 | ff00:8a01:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:8a01:1000::/36 | ff00:8a01:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:8a01:2000::/36 | ff00:8a01:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:8a01:3000::/36 | ff00:8a01:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:8a01:4000::/36 | ff00:8a01:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:8a01:5000::/36 | ff00:8a01:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:8a01:6000::/36 | ff00:8a01:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:8a01:7000::/36 | ff00:8a01:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:8a01:8000::/36 | ff00:8a01:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:8a01:9000::/36 | ff00:8a01:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:8a01:a000::/36 | ff00:8a01:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:8a01:b000::/36 | ff00:8a01:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:8a01:c000::/36 | ff00:8a01:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:8a01:d000::/36 | ff00:8a01:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:8a01:e000::/36 | ff00:8a01:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:8a01:f000::/36 | ff00:8a01:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:8a02::/36 | ff00:8a02:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:8a02:1000::/36 | ff00:8a02:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:8a02:2000::/36 | ff00:8a02:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:8a02:3000::/36 | ff00:8a02:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:8a02:4000::/36 | ff00:8a02:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:8a02:5000::/36 | ff00:8a02:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:8a02:6000::/36 | ff00:8a02:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:8a02:7000::/36 | ff00:8a02:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:8a02:8000::/36 | ff00:8a02:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:8a02:9000::/36 | ff00:8a02:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:8a02:a000::/36 | ff00:8a02:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:8a02:b000::/36 | ff00:8a02:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:8a02:c000::/36 | ff00:8a02:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:8a02:d000::/36 | ff00:8a02:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:8a02:e000::/36 | ff00:8a02:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:8a02:f000::/36 | ff00:8a02:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:8a03::/36 | ff00:8a03:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:8a03:1000::/36 | ff00:8a03:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:8a03:2000::/36 | ff00:8a03:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:8a03:3000::/36 | ff00:8a03:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:8a03:4000::/36 | ff00:8a03:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:8a03:5000::/36 | ff00:8a03:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:8a03:6000::/36 | ff00:8a03:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:8a03:7000::/36 | ff00:8a03:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:8a03:8000::/36 | ff00:8a03:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:8a03:9000::/36 | ff00:8a03:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:8a03:a000::/36 | ff00:8a03:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:8a03:b000::/36 | ff00:8a03:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:8a03:c000::/36 | ff00:8a03:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:8a03:d000::/36 | ff00:8a03:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:8a03:e000::/36 | ff00:8a03:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:8a03:f000::/36 | ff00:8a03:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:8a04::/36 | ff00:8a04:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:8a04:1000::/36 | ff00:8a04:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:8a04:2000::/36 | ff00:8a04:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:8a04:3000::/36 | ff00:8a04:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:8a04:4000::/36 | ff00:8a04:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:8a04:5000::/36 | ff00:8a04:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:8a04:6000::/36 | ff00:8a04:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:8a04:7000::/36 | ff00:8a04:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:8a04:8000::/36 | ff00:8a04:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:8a04:9000::/36 | ff00:8a04:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:8a04:a000::/36 | ff00:8a04:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:8a04:b000::/36 | ff00:8a04:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:8a04:c000::/36 | ff00:8a04:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:8a04:d000::/36 | ff00:8a04:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:8a04:e000::/36 | ff00:8a04:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:8a04:f000::/36 | ff00:8a04:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:8a05::/36 | ff00:8a05:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:8a05:1000::/36 | ff00:8a05:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:8a05:2000::/36 | ff00:8a05:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:8a05:3000::/36 | ff00:8a05:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:8a05:4000::/36 | ff00:8a05:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:8a05:5000::/36 | ff00:8a05:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:8a05:6000::/36 | ff00:8a05:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:8a05:7000::/36 | ff00:8a05:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:8a05:8000::/36 | ff00:8a05:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:8a05:9000::/36 | ff00:8a05:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:8a05:a000::/36 | ff00:8a05:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:8a05:b000::/36 | ff00:8a05:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:8a05:c000::/36 | ff00:8a05:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:8a05:d000::/36 | ff00:8a05:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:8a05:e000::/36 | ff00:8a05:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:8a05:f000::/36 | ff00:8a05:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:8a06::/36 | ff00:8a06:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:8a06:1000::/36 | ff00:8a06:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:8a06:2000::/36 | ff00:8a06:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:8a06:3000::/36 | ff00:8a06:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:8a06:4000::/36 | ff00:8a06:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:8a06:5000::/36 | ff00:8a06:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:8a06:6000::/36 | ff00:8a06:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:8a06:7000::/36 | ff00:8a06:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:8a06:8000::/36 | ff00:8a06:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:8a06:9000::/36 | ff00:8a06:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:8a06:a000::/36 | ff00:8a06:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:8a06:b000::/36 | ff00:8a06:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:8a06:c000::/36 | ff00:8a06:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:8a06:d000::/36 | ff00:8a06:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:8a06:e000::/36 | ff00:8a06:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:8a06:f000::/36 | ff00:8a06:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:8a07::/36 | ff00:8a07:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:8a07:1000::/36 | ff00:8a07:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:8a07:2000::/36 | ff00:8a07:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:8a07:3000::/36 | ff00:8a07:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:8a07:4000::/36 | ff00:8a07:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:8a07:5000::/36 | ff00:8a07:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:8a07:6000::/36 | ff00:8a07:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:8a07:7000::/36 | ff00:8a07:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:8a07:8000::/36 | ff00:8a07:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:8a07:9000::/36 | ff00:8a07:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:8a07:a000::/36 | ff00:8a07:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:8a07:b000::/36 | ff00:8a07:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:8a07:c000::/36 | ff00:8a07:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:8a07:d000::/36 | ff00:8a07:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:8a07:e000::/36 | ff00:8a07:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:8a07:f000::/36 | ff00:8a07:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:8a08::/36 | ff00:8a08:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:8a08:1000::/36 | ff00:8a08:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:8a08:2000::/36 | ff00:8a08:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:8a08:3000::/36 | ff00:8a08:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:8a08:4000::/36 | ff00:8a08:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:8a08:5000::/36 | ff00:8a08:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:8a08:6000::/36 | ff00:8a08:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:8a08:7000::/36 | ff00:8a08:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:8a08:8000::/36 | ff00:8a08:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:8a08:9000::/36 | ff00:8a08:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:8a08:a000::/36 | ff00:8a08:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:8a08:b000::/36 | ff00:8a08:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:8a08:c000::/36 | ff00:8a08:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:8a08:d000::/36 | ff00:8a08:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:8a08:e000::/36 | ff00:8a08:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:8a08:f000::/36 | ff00:8a08:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:8a09::/36 | ff00:8a09:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:8a09:1000::/36 | ff00:8a09:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:8a09:2000::/36 | ff00:8a09:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:8a09:3000::/36 | ff00:8a09:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:8a09:4000::/36 | ff00:8a09:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:8a09:5000::/36 | ff00:8a09:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:8a09:6000::/36 | ff00:8a09:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:8a09:7000::/36 | ff00:8a09:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:8a09:8000::/36 | ff00:8a09:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:8a09:9000::/36 | ff00:8a09:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:8a09:a000::/36 | ff00:8a09:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:8a09:b000::/36 | ff00:8a09:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:8a09:c000::/36 | ff00:8a09:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:8a09:d000::/36 | ff00:8a09:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:8a09:e000::/36 | ff00:8a09:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:8a09:f000::/36 | ff00:8a09:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:8a0a::/36 | ff00:8a0a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:8a0a:1000::/36 | ff00:8a0a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:8a0a:2000::/36 | ff00:8a0a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:8a0a:3000::/36 | ff00:8a0a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:8a0a:4000::/36 | ff00:8a0a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:8a0a:5000::/36 | ff00:8a0a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:8a0a:6000::/36 | ff00:8a0a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:8a0a:7000::/36 | ff00:8a0a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:8a0a:8000::/36 | ff00:8a0a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:8a0a:9000::/36 | ff00:8a0a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:8a0a:a000::/36 | ff00:8a0a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:8a0a:b000::/36 | ff00:8a0a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:8a0a:c000::/36 | ff00:8a0a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:8a0a:d000::/36 | ff00:8a0a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:8a0a:e000::/36 | ff00:8a0a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:8a0a:f000::/36 | ff00:8a0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:8a0b::/36 | ff00:8a0b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:8a0b:1000::/36 | ff00:8a0b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:8a0b:2000::/36 | ff00:8a0b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:8a0b:3000::/36 | ff00:8a0b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:8a0b:4000::/36 | ff00:8a0b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:8a0b:5000::/36 | ff00:8a0b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:8a0b:6000::/36 | ff00:8a0b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:8a0b:7000::/36 | ff00:8a0b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:8a0b:8000::/36 | ff00:8a0b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:8a0b:9000::/36 | ff00:8a0b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:8a0b:a000::/36 | ff00:8a0b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:8a0b:b000::/36 | ff00:8a0b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:8a0b:c000::/36 | ff00:8a0b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:8a0b:d000::/36 | ff00:8a0b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:8a0b:e000::/36 | ff00:8a0b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:8a0b:f000::/36 | ff00:8a0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:8a0c::/36 | ff00:8a0c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:8a0c:1000::/36 | ff00:8a0c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:8a0c:2000::/36 | ff00:8a0c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:8a0c:3000::/36 | ff00:8a0c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:8a0c:4000::/36 | ff00:8a0c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:8a0c:5000::/36 | ff00:8a0c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:8a0c:6000::/36 | ff00:8a0c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:8a0c:7000::/36 | ff00:8a0c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:8a0c:8000::/36 | ff00:8a0c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:8a0c:9000::/36 | ff00:8a0c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:8a0c:a000::/36 | ff00:8a0c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:8a0c:b000::/36 | ff00:8a0c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:8a0c:c000::/36 | ff00:8a0c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:8a0c:d000::/36 | ff00:8a0c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:8a0c:e000::/36 | ff00:8a0c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:8a0c:f000::/36 | ff00:8a0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:8a0d::/36 | ff00:8a0d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:8a0d:1000::/36 | ff00:8a0d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:8a0d:2000::/36 | ff00:8a0d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:8a0d:3000::/36 | ff00:8a0d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:8a0d:4000::/36 | ff00:8a0d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:8a0d:5000::/36 | ff00:8a0d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:8a0d:6000::/36 | ff00:8a0d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:8a0d:7000::/36 | ff00:8a0d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:8a0d:8000::/36 | ff00:8a0d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:8a0d:9000::/36 | ff00:8a0d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:8a0d:a000::/36 | ff00:8a0d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:8a0d:b000::/36 | ff00:8a0d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:8a0d:c000::/36 | ff00:8a0d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:8a0d:d000::/36 | ff00:8a0d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:8a0d:e000::/36 | ff00:8a0d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:8a0d:f000::/36 | ff00:8a0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:8a0e::/36 | ff00:8a0e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:8a0e:1000::/36 | ff00:8a0e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:8a0e:2000::/36 | ff00:8a0e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:8a0e:3000::/36 | ff00:8a0e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:8a0e:4000::/36 | ff00:8a0e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:8a0e:5000::/36 | ff00:8a0e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:8a0e:6000::/36 | ff00:8a0e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:8a0e:7000::/36 | ff00:8a0e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:8a0e:8000::/36 | ff00:8a0e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:8a0e:9000::/36 | ff00:8a0e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:8a0e:a000::/36 | ff00:8a0e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:8a0e:b000::/36 | ff00:8a0e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:8a0e:c000::/36 | ff00:8a0e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:8a0e:d000::/36 | ff00:8a0e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:8a0e:e000::/36 | ff00:8a0e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:8a0e:f000::/36 | ff00:8a0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:8a0f::/36 | ff00:8a0f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:8a0f:1000::/36 | ff00:8a0f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:8a0f:2000::/36 | ff00:8a0f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:8a0f:3000::/36 | ff00:8a0f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:8a0f:4000::/36 | ff00:8a0f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:8a0f:5000::/36 | ff00:8a0f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:8a0f:6000::/36 | ff00:8a0f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:8a0f:7000::/36 | ff00:8a0f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:8a0f:8000::/36 | ff00:8a0f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:8a0f:9000::/36 | ff00:8a0f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:8a0f:a000::/36 | ff00:8a0f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:8a0f:b000::/36 | ff00:8a0f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:8a0f:c000::/36 | ff00:8a0f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:8a0f:d000::/36 | ff00:8a0f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:8a0f:e000::/36 | ff00:8a0f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:8a0f:f000::/36 | ff00:8a0f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |